Gantt Query Error 500

2020-01-14 17:15 - Tobias Pitzer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.1.0

Description

If i open the Gantt Tab the following Error will be shown:

An error occurred while executing the query and has been logged. Please report this error to your Redmine administrator.

This is what the log says:

Started GET "/redmine/projects/buerosystemhaus-schaefer/issues/gantt" for 127.0.0.1 at 2020-01-14 

17:08:37 +0100

Processing by GanttsController#show as HTML

  Parameters: {"project_id"=>"buerosystemhaus-schaefer"}

  Current user: t.pitzer (id=5)

  Rendering gantts/show.html.erb within layouts/base

  Rendered queries/_filters.html.erb (9.2ms)

  Rendered queries/_columns.html.erb (2.4ms)

  Rendered gantts/show.html.erb within layouts/base (54.0ms)

Query::StatementInvalid: TinyTds::Error: A column has been specified more than once in the order b

y list. Columns in the order by list must be unique.: EXEC sp_executesql N'SELECT  [issues].[id] A

S t0_r0, [issues].[tracker_id] AS t0_r1, [issues].[project_id] AS t0_r2, [issues].[subject] AS t0_

r3, [issues].[description] AS t0_r4, [issues].[due_date] AS t0_r5, [issues].[category_id] AS t0_r6

, [issues].[status_id] AS t0_r7, [issues].[assigned_to_id] AS t0_r8, [issues].[priority_id] AS t0_

r9, [issues].[fixed_version_id] AS t0_r10, [issues].[author_id] AS t0_r11, [issues].[lock_version]

 AS t0_r12, [issues].[created_on] AS t0_r13, [issues].[updated_on] AS t0_r14, [issues].[start_date

] AS t0_r15, [issues].[done_ratio] AS t0_r16, [issues].[estimated_hours] AS t0_r17, [issues].[pare

nt_id] AS t0_r18, [issues].[root_id] AS t0_r19, [issues].[lft] AS t0_r20, [issues].[rgt] AS t0_r21

, [issues].[is_private] AS t0_r22, [issues].[closed_on] AS t0_r23, [issue_statuses].[id] AS t1_r0,

 [issue_statuses].[name] AS t1_r1, [issue_statuses].[is_closed] AS t1_r2, [issue_statuses].[positi

on] AS t1_r3, [issue_statuses].[default_done_ratio] AS t1_r4, [projects].[id] AS t2_r0, [projects]

.[name] AS t2_r1, [projects].[description] AS t2_r2, [projects].[homepage] AS t2_r3, [projects].[i

s_public] AS t2_r4, [projects].[parent_id] AS t2_r5, [projects].[created_on] AS t2_r6, [projects].

[updated_on] AS t2_r7, [projects].[identifier] AS t2_r8, [projects].[status] AS t2_r9, [projects].

[lft] AS t2_r10, [projects].[rgt] AS t2_r11, [projects].[inherit_members] AS t2_r12, [projects].[d

efault_version_id] AS t2_r13, [projects].[default_assigned_to_id] AS t2_r14, [users].[id] AS t3_r0

, [users].[login] AS t3_r1, [users].[hashed_password] AS t3_r2, [users].[firstname] AS t3_r3, [use

rs].[lastname] AS t3_r4, [users].[admin] AS t3_r5, [users].[status] AS t3_r6, [users].[last_login_

on] AS t3_r7, [users].[language] AS t3_r8, [users].[auth_source_id] AS t3_r9, [users].[created_on]

 AS t3_r10, [users].[updated_on] AS t3_r11, [users].[type] AS t3_r12, [users].[identity_url] AS t3

_r13, [users].[mail_notification] AS t3_r14, [users].[salt] AS t3_r15, [users].[must_change_passwd

] AS t3_r16, [users].[passwd_changed_on] AS t3_r17, [trackers].[id] AS t4_r0, [trackers].[name] AS

 t4_r1, [trackers].[is_in_chlog] AS t4_r2, [trackers].[position] AS t4_r3, [trackers].[is_in_roadm

ap] AS t4_r4, [trackers].[fields_bits] AS t4_r5, [trackers].[default_status_id] AS t4_r6, [tracker

s].[description] AS t4_r7, [enumerations].[id] AS t5_r0, [enumerations].[name] AS t5_r1, [enumerat

ions].[position] AS t5_r2, [enumerations].[is_default] AS t5_r3, [enumerations].[type] AS t5_r4, [

enumerations].[active] AS t5_r5, [enumerations].[project_id] AS t5_r6, [enumerations].[parent_id] 

AS t5_r7, [enumerations].[position_name] AS t5_r8, [issue_categories].[id] AS t6_r0, [issue_catego

ries].[project_id] AS t6_r1, [issue_categories].[name] AS t6_r2, [issue_categories].[assigned_to_i

d] AS t6_r3, [versions].[id] AS t7_r0, [versions].[project_id] AS t7_r1, [versions].[name] AS t7_r

2, [versions].[description] AS t7_r3, [versions].[effective_date] AS t7_r4, [versions].[created_on

] AS t7_r5, [versions].[updated_on] AS t7_r6, [versions].[wiki_page_title] AS t7_r7, [versions].[s

tatus] AS t7_r8, [versions].[sharing] AS t7_r9 FROM [issues] INNER JOIN [projects] ON [projects].[

id] = [issues].[project_id] INNER JOIN [issue_statuses] ON [issue_statuses].[id] = [issues].[statu
s_id] LEFT OUTER JOIN [users] ON [users].[id] = [issues].[assigned_to_id] LEFT OUTER JOIN [tracker

s] ON [trackers].[id] = [issues].[tracker_id] LEFT OUTER JOIN [enumerations] ON [enumerations].[id

] = [issues].[priority_id] AND [enumerations].[type] IN (N''IssuePriority'') LEFT OUTER JOIN [issu

e_categories] ON [issue_categories].[id] = [issues].[category_id] LEFT OUTER JOIN [versions] ON [v

ersions].[id] = [issues].[fixed_version_id] WHERE (projects.status <> 9 AND EXISTS (SELECT 1 AS on

e FROM enabled_modules em WHERE em.project_id = projects.id AND em.name=''issue_tracking'')) AND (

(issues.status_id IN (SELECT id FROM issue_statuses WHERE is_closed=0)) AND projects.lft >= 3 AND 

projects.rgt <= 18)  ORDER BY projects.lft ASC, issues.id ASC, issues.id DESC OFFSET 0 ROWS FETCH 

NEXT @0 ROWS ONLY', N'@0 int', @0 = 500

  Rendering common/error.html.erb within layouts/base

  Rendered common/error.html.erb within layouts/base (0.1ms)

Completed 500 Internal Server Error in 91ms (Views: 13.2ms | ActiveRecord: 12.9ms)

 Installed on:

Windows Server 2016

Windows SQL Express 2017

Only Plugin i installed is the Checkbox-Plugin

Related issues:

Is duplicate of Redmine - Defect #32737: Duplicate sort keys for issue query ... Closed

History

#1 - 2020-01-14 19:19 - Guillermo ML

I think is the same error reported in #32737

#2 - 2020-01-15 10:32 - Go MAEDA

- Is duplicate of Defect #32737: Duplicate sort keys for issue query cause SQL error with SQL Server added

#3 - 2020-01-15 10:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Guillermo ML wrote:

I think is the same error reported in #32737

 Thank you for pointing it out. Closing.
